/* MEDIA QUERIES */

@media not all and (min-width: 1536px) {
  :root {
    --wp--custom--wrapper--gap-block: 118px !important;
  }
}

@media not all and (min-width: 1280px) {

}

@media not all and (min-width: 1024px) {
  :root {
    --wp--preset--font-size--56: 40px !important;
    --wp--preset--font-size--44: 32px !important;
    --wp--preset--font-size--32: 24px !important;
  }
}

@media not all and (min-width: 768px) {
  :root {
    --wp--custom--wrapper--gap-block: 60px !important;
  }
}

@media not all and (min-width: 640px) {
  :root {
    --wp--preset--font-size--56: 32px !important;
    --wp--preset--font-size--44: 24px !important;
  }
}

@media not all and (min-width: 391px) {
}

/* GENERAL */

html {
  scroll-behavior: smooth;
}

p:empty {
  display: none;
}

:root {
  --black: var(--wp--preset--color--custom-black);
  --white: var(--wp--preset--color--custom-white);
  --light-blue: var(--wp--preset--color--custom-light-blue);
  --bright-blue: var(--wp--preset--color--custom-bright-blue);
  --dark-blue: var(--wp--preset--color--custom-dark-blue);
  --turquoise: var(--wp--preset--color--custom-turquoise);
  --px: var(--wp--custom--wrapper--px);
  --gap-main: var(--wp--custom--wrapper--gap-main);
  --gap-block: var(--wp--custom--wrapper--gap-block);
}

.font-marmelad {
  font-family: var(--wp--preset--font-family--marmelad) !important;
}

.font-gafata {
  font-family: var(--wp--preset--font-family--gafata) !important;
}

/* HEADER */

.div-header {
  transition: all 0.3s ease-out;
}

html[data-scroll="0"]  .div-header {
  background: transparent;
}

html:not([data-scroll="0"]) .div-header {
  background: var(--white);
}

.logo-header {
  transition: fill 0.3s ease-out;
}

html[data-scroll="0"] .logo-header {
  fill: var(--white);
}

html:not([data-scroll="0"]) .logo-header {
  fill: var(--black);
}

html[data-scroll="0"] .logo-header:hover,
html:not([data-scroll="0"]) .logo-header:hover {
  fill: #0B79BB;
}


/* MENU MOBILE */

.menu-mobile {
  position: fixed;
  z-index: 2;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100dvh;
  transform: translateX(100%);
  transition: height 0.3s ease-out, transform 0.4s ease-out;
}

.menu-closed {
  transform: translateX(100%);
}

.menu-opened {
  transform: translateX(0%);
}
